package view;

import controller.ConsoleController;
import adapter.IModelAdapter;
import model.IModel;
import observer.IObserver;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

/**
 * Created by loic on 21/09/16.
 */
public class ConsoleView implements IView, IObserver{

    private ConsoleController controller;
    private IModel model;


    @Override
    public void loadComponent(IModelAdapter controller, IModel model) {
        this.controller= (ConsoleController) controller;
        this.model=model;
    }



    @Override
    public void show() {
        this.controller.startGame();
    }

    @Override
    public void update() {
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        int[][] board;
        board = this.model.getBoard();

        for (int i = 0; i < board.length; i++) {
            for (int j = 0; j < board[i].length; j++) {
                System.out.print(board[i][j] + "       ");
            }
            System.out.println();
        }
        System.out.println();

        System.out.print("Enter U or D or L or R :");
        String input = null;
        try {
            input = br.readLine();
        } catch (IOException e) {
            e.printStackTrace();
        }
        if(input.equals("U")){
            controller.goUp();
        }
        else if(input.equals("D")){
            controller.goDown();
        }
        else if(input.equals("L")){
            controller.goLeft();
        }
        else if(input.equals("R")){
            controller.goRight();
        }
    }
}
